osmo_mtp_transfer_param Struct Reference

`#include <mtp_sap.h>`

## Data Fields

uint32_t | opc
uint32_t | dpc
uint8_t | sls
uint8_t | sio

## Field Documentation

## dpc

uint32_t osmo_mtp_transfer_param::dpc

Referenced by gen_mtp_transfer_req_xua(), hmrt_message_for_routing(), m3ua_dh_to_xfer_param(), m3ua_hmdc_rx_from_l2(), m3ua_rx_xfer(), mtp_xfer_param_to_m3ua_dh(), sua2sccp_tx_m3ua(), sua_rx_msg(), tx_coerr_from_xua(), tx_relco_from_xua(), tx_rlsd_from_xua_twoway(), xua_gen_encode_and_send(), and xua_gen_relre_and_send().

## opc

uint32_t osmo_mtp_transfer_param::opc

Referenced by m3ua_dh_to_xfer_param(), m3ua_rx_xfer(), mtp_xfer_param_to_m3ua_dh(), sccp_sclc_rx_scrc_rout_fail(), sccp_scoc_rx_from_scrc(), sccp_scoc_rx_inval_opc(), scoc_fsm_conn_pend_out(), scoc_fsm_idle(), sua2sccp_tx_m3ua(), sua_rx_msg(), tx_coerr_from_xua(), tx_relco_from_xua(), and tx_rlsd_from_xua_twoway().

## sio

uint8_t osmo_mtp_transfer_param::sio

Referenced by m3ua_dh_to_xfer_param(), mtp_xfer_param_to_m3ua_dh(), osmo_ss7_mtp_to_user(), sua2sccp_tx_m3ua(), sua_rx_msg(), tx_coerr_from_xua(), tx_relco_from_xua(), and tx_rlsd_from_xua_twoway().

## sls

uint8_t osmo_mtp_transfer_param::sls

Referenced by m3ua_dh_to_xfer_param(), mtp_xfer_param_to_m3ua_dh(), and sua2sccp_tx_m3ua().

The documentation for this struct was generated from the following file:

- include/osmocom/sigtran/mtp_sap.h